"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const updateAliases_1 = __importDefault(require("./updateAliases"));
/**
 * webpack's `resolve.alias` customization plugin.
 *
 * @export
 * @param {Aliases} aliases Aliases
 * @returns {Plugin}
 */
function AliasPlugin(aliases) {
    return (context) => {
        if (!aliases) {
            return;
        }
        const { webpackConfigs } = context;
        Object.keys(webpackConfigs).forEach(key => {
            const config = webpackConfigs[key];
            updateAliases_1.default(config, aliases);
        });
    };
}
exports.default = AliasPlugin;
